Hardware Locality (hwloc): Data Fields - Variables

Hardware Locality (hwloc) 1.2.2

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

- All
- Variables

- a
- b
- c
- d
- f
- g
- i
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v

### - a -

- alloc_membind : hwloc_topology_membind_support
- allowed_cpuset : hwloc_obj
- allowed_nodeset : hwloc_obj
- arity : hwloc_obj
- attr : hwloc_obj

### - b -

- bind_membind : hwloc_topology_membind_support

### - c -

- cache : hwloc_obj_attr_u
- children : hwloc_obj
- complete_cpuset : hwloc_obj
- complete_nodeset : hwloc_obj
- count : hwloc_obj_memory_s::hwloc_obj_memory_page_type_s
- cpubind : hwloc_topology_support
- cpuset : hwloc_obj

### - d -

- depth : hwloc_obj , hwloc_obj_attr_u::hwloc_cache_attr_s , hwloc_obj_attr_u::hwloc_group_attr_s
- discovery : hwloc_topology_support
- distances : hwloc_obj
- distances_count : hwloc_obj

### - f -

- first_child : hwloc_obj
- firsttouch_membind : hwloc_topology_membind_support

### - g -

- get_area_membind : hwloc_topology_membind_support
- get_proc_cpubind : hwloc_topology_cpubind_support
- get_proc_last_cpu_location : hwloc_topology_cpubind_support
- get_proc_membind : hwloc_topology_membind_support
- get_thisproc_cpubind : hwloc_topology_cpubind_support
- get_thisproc_last_cpu_location : hwloc_topology_cpubind_support
- get_thisproc_membind : hwloc_topology_membind_support
- get_thisthread_cpubind : hwloc_topology_cpubind_support
- get_thisthread_last_cpu_location : hwloc_topology_cpubind_support
- get_thisthread_membind : hwloc_topology_membind_support
- get_thread_cpubind : hwloc_topology_cpubind_support
- group : hwloc_obj_attr_u

### - i -

- infos : hwloc_obj
- infos_count : hwloc_obj
- interleave_membind : hwloc_topology_membind_support

### - l -

- last_child : hwloc_obj
- latency : hwloc_distances_s
- latency_base : hwloc_distances_s
- latency_max : hwloc_distances_s
- linesize : hwloc_obj_attr_u::hwloc_cache_attr_s
- local_memory : hwloc_obj_memory_s
- logical_index : hwloc_obj

### - m -

- membind : hwloc_topology_support
- memory : hwloc_obj
- migrate_membind : hwloc_topology_membind_support

### - n -

- name : hwloc_obj , hwloc_obj_info_s
- nbobjs : hwloc_distances_s
- next_cousin : hwloc_obj
- next_sibling : hwloc_obj
- nexttouch_membind : hwloc_topology_membind_support
- nodeset : hwloc_obj

### - o -

- online_cpuset : hwloc_obj
- os_index : hwloc_obj
- os_level : hwloc_obj

### - p -

- page_types : hwloc_obj_memory_s
- page_types_len : hwloc_obj_memory_s
- parent : hwloc_obj
- prev_cousin : hwloc_obj
- prev_sibling : hwloc_obj
- pu : hwloc_topology_discovery_support

### - r -

- relative_depth : hwloc_distances_s
- replicate_membind : hwloc_topology_membind_support

### - s -

- set_area_membind : hwloc_topology_membind_support
- set_proc_cpubind : hwloc_topology_cpubind_support
- set_proc_membind : hwloc_topology_membind_support
- set_thisproc_cpubind : hwloc_topology_cpubind_support
- set_thisproc_membind : hwloc_topology_membind_support
- set_thisthread_cpubind : hwloc_topology_cpubind_support
- set_thisthread_membind : hwloc_topology_membind_support
- set_thread_cpubind : hwloc_topology_cpubind_support
- sibling_rank : hwloc_obj
- size : hwloc_obj_memory_s::hwloc_obj_memory_page_type_s , hwloc_obj_attr_u::hwloc_cache_attr_s

### - t -

- total_memory : hwloc_obj_memory_s
- type : hwloc_obj

### - u -

- userdata : hwloc_obj

### - v -

- value : hwloc_obj_info_s